<?php declare(strict_types=1);

namespace Orbit\Tests;

use PHPUnit\Framework\TestCase;
use Monolog\Logger;

use Orbit\Config;
use Orbit\Module;
use Orbit\Request;
use Orbit\Response;

final class ModuleTest extends TestCase
{
    public function testConstruct(): void
    {
        $module = new Module(new Config(), new Logger('foobar'));
        $this->assertInstanceOf(Module::class, $module);
    }

    public function testHandle(): void
    {
        $module = new Module(new Config(), new Logger('foobar'));
        [$success, $response] = $module->handle(new Request('foobar'));

        $this->assertTrue($success);
        $this->assertInstanceOf(Response::class, $response);
    }
}
